BizKitHub
DocsAPI ReferenceOrder/bff/order/document-credit-note
postOrderAdmin BFF

/bff/order/document-credit-note

Credit note (dobropis) for selected order lines, full or partial quantity / amount, attached to a tax document of the order. Document only: order lines and payments are not changed.

OrderpostBffOrderDocument-credit-note

Parameters

JSON body

Request body

application/json
orderHashstringRequired

Unique order hash identifier.

parentIdstringOptional

External id of the tax document to correct. Default: best match.

linesobject[]Required
Each array item:
orderItemIdnumberRequired

Order line id.

quantitynumberRequired

Units to credit.

unitPricenumberRequired

Amount per unit incl. VAT to credit.

reasonstringOptional

Reason printed on the credit note.

Length: 0–1000

Response schema

1 status code documented

200Success
idstringRequired
sequenceNumberstringRequired
totalnumberRequired

Response example

application/json
{
  "id": "example_id",
  "sequenceNumber": "example_sequenceNumber",
  "total": 0
}

Request example

POST /bff/order/document-credit-note

post
curl -X POST "https://api.bizkithub.com/bff/order/document-credit-note" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "orderHash": "example_orderHash",
  "parentId": "example_parentId",
  "lines": [
    {
      "orderItemId": 0,
      "quantity": 0,
      "unitPrice": 0
    }
  ],
  "reason": "example_reason"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key